Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextCodecPlugin Class Reference

The QTextCodecPlugin class provides an abstract base for custom QTextCodec plugins. More...

`#include <qtextcodecplugin.h>`

List of all member functions.

## Public Members

- QTextCodecPlugin ()
- ~QTextCodecPlugin ()
- virtual QStringList names () const = 0
- virtual QTextCodec * createForName ( const QString & name ) = 0
- virtual QValueList<int> mibEnums () const = 0
- virtual QTextCodec * createForMib ( int mib ) = 0

## Detailed Description

The QTextCodecPlugin class provides an abstract base for custom QTextCodec plugins.

The text codec plugin is a simple plugin interface that makes it easy to create custom text codecs that can be loaded dynamically into applications.

Writing a text codec plugin is achieved by subclassing this base class, reimplementing the pure virtual functions names(), createForName(), mibEnums() and createForMib(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Qt Plugins documentation for details.

See the IANA character-sets encoding file for more information on mime names and mib enums.

See also Plugins.

## Member Function Documentation

### QTextCodecPlugin::QTextCodecPlugin ()

Constructs a text codec plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

### QTextCodecPlugin::~QTextCodecPlugin ()

Destroys the text codec plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QTextCodec * QTextCodecPlugin::createForMib ( int mib )`[pure virtual]`

Creates a QTextCodec object for the mib enum mib.

(See the IANA character-sets encoding file for more information)

See also mibEnums().

### QTextCodec * QTextCodecPlugin::createForName ( const QString & name )`[pure virtual]`

Creates a QTextCodec object for the codec called name.

See also names().

### QValueList<int> QTextCodecPlugin::mibEnums () const`[pure virtual]`

Returns the list of mib enums this plugin supports.

See also createForMib().

### QStringList QTextCodecPlugin::names () const`[pure virtual]`

Returns the list of mime names this plugin supports.

See also createForName().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.